UserList

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fenalco.entities
Class UserList

    java.lang.Object
      com.fenalco.entities.UserList

    public class UserList

extends java.lang.Object

Esta clase representa una lista de usuarios internos pertenecientes a un proveedor

Field Summary
`private java.util.Hashtable` | `users` Es un Hashtable que tiene como llave un int que representa el id de un usuario, el objeto es de tipo `User`

Constructor Summary
`UserList()` Constructor por defecto de la de la clase UserList
`UserList(int supplierId)` Constructor de la de la clase UserList

Method Summary
`java.util.Hashtable` | `getUsers()` Consultor para el atributo users.
`boolean` | `loadData()` Hace una consulta en la tabla usuario por medio del método `query` de la clase `SqlUtilities` para cargar la variable users con usuarios que tengan rol de Call Center
`boolean` | `loadData(int supplierId)` Hace una consulta en la tabla usuarios por medio del método `query` de la clase `SqlUtilities` para cargar la lista de usuarios y llenar la variable users con los usuarios internos pertenecientes al proveedor
`static void` | `main(java.lang.String[] args)`
`void` | `setUsers(java.util.Hashtable users)` Modificador para el atributo users.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### users

    private java.util.Hashtable users

  Es un Hashtable que tiene como llave un int que representa el id de un usuario, el objeto es de tipo `User`

Constructor Detail

### UserList

    public UserList()

  Constructor por defecto de la de la clase UserList

  Parameters:
    `supplierId` - Identificador del proveedor

### UserList

    public UserList(int supplierId)

  Constructor de la de la clase UserList

  Parameters:
    `supplierId` - Identificador del proveedor

Method Detail

### loadData

    public boolean loadData()

  Hace una consulta en la tabla usuario por medio del método `query` de la clase `SqlUtilities` para cargar la variable users con usuarios que tengan rol de Call Center

  Returns:
    booleano que indica si la carga de los usuarios fué exitosa

### loadData

    public boolean loadData(int supplierId)

  Hace una consulta en la tabla usuarios por medio del método `query` de la clase `SqlUtilities` para cargar la lista de usuarios y llenar la variable users con los usuarios internos pertenecientes al proveedor

  Parameters:
    `supplierId` - id del proveedor
  Returns:
    booleano que indica el éxito de la carga de la lista

### getUsers

    public java.util.Hashtable getUsers()

  Consultor para el atributo users.

  Returns:
    Valor para el atributo users.

### setUsers

    public void setUsers(java.util.Hashtable users)

  Modificador para el atributo users.

  Parameters:
    `users` - Nuevo valor para el atributo users.

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD